> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/events-api/events-list.md).

# Events list

## List of events

This section contains all defined events with their publishing services and data sent for each.<br>

* **customer.created**
  * Publishers: platform, license-api
  * Data: customer
* **customer.deleted**
  * Publishers: platform
  * Data: customer
* **customer.updated**
  * Publishers: platform, license-api
  * Data: customer
* **device\_variable.created**
  * Publishers: platform, license-api
  * Data: device\_variable
* **device\_variable.deleted**
  * Publishers: platform, license-api
  * Data: device\_variable
* **device\_variable.updated**
  * Publishers: platform, license-api
  * Data: device\_variable
* **installation\_file.created**
  * Publishers: platform
  * Data: installation\_file
* **installation\_file.deleted**
  * Publishers: platform
  * Data: installation\_file
* **installation\_file.updated**
  * Publishers: platform
  * Data: installation\_file
* **license.activated**
  * Publishers: license-api
  * Data: license, device, license\_user (optional)
* **license.checked**
  * Publishers: license-api
  * Data: license, device, license\_user (optional)
* **license.created**
  * Publishers: license-api
  * Data: license
* **license.deactivated**
  * Publishers: license-api
  * Data: license, device, license\_user (optional)
* **license.deleted**
  * Publishers: platform
  * Data: license
* **license.expired**
  * Publishers: platform
  * Data: license
* **license.license\_user.assigned**
  * Publishers: user-portal
  * Data: license, license\_user
* **license.license\_user.unassigned**
  * Publishers: user-portal
  * Data: license, license\_user
* **license.maintenance\_expired**
  * Publishers: platform
  * Data: license
* **license.maintenance\_will\_expire\_3\_days**
  * Publishers: platform
  * Data: license
* **license.released**
  * Publishers: license-api
  * Data: license, device, license\_user (optional)
* **license.reset**
  * Publishers: platform, user-portal
  * Data: license
* **license.updated**
  * Publishers: platform
  * Data: license
* **license.will\_expire\_3\_days**
  * Publishers: platform
  * Data: license
* **license\_custom\_field.created**
  * Publishers: platform
  * Data: license\_custom\_field
* **license\_custom\_field.deleted**
  * Publishers: platform
  * Data: license\_custom\_field
* **license\_custom\_field.updated**
  * Publishers: platform
  * Data: license\_custom\_field
* **license\_product\_feature.created**
  * Publishers: platform
  * Data: license\_product\_feature
* **license\_product\_feature.deleted**
  * Publishers: platform
  * Data: license\_product\_feature
* **license\_product\_feature.updated**
  * Publishers: platform
  * Data: license\_product\_feature
* **license\_user\_group.created**
  * Publishers: platform
  * Data: license\_user\_group
* **license\_user\_group.deleted**
  * Publishers: platform
  * Data: license\_user\_group
* **license\_user\_group.license\_user.manager\_assigned**
  * Publishers: platform, user-portal
  * Data: license\_user\_group, license\_user
* **license\_user\_group.updated**
  * Publishers: platform
  * Data: license\_user\_group
* **order.created**
  * Publishers: license-api
  * Data: order
* **order.deleted**
  * Publishers: platform
  * Data: order
* **order.license\_user.manager\_assigned**
  * Publishers: user-portal
  * Data: order, license\_user
* **order.license\_user.manager\_removed**
  * Publishers: user-portal
  * Data: order, license\_user
* **order.updated**
  * Publishers: platform
  * Data: order
* **product.created**
  * Publishers: platform
  * Data: product
* **product.deleted**
  * Publishers: platform
  * Data: product
* **product.updated**
  * Publishers: platform
  * Data: product
* **product\_custom\_field.created**
  * Publishers: platform
  * Data: product\_custom\_field
* **product\_custom\_field.deleted**
  * Publishers: platform
  * Data: product\_custom\_field
* **product\_custom\_field.updated**
  * Publishers: platform
  * Data: product\_custom\_field
* **product\_feature.created**
  * Publishers: platform
  * Data: product\_feature
* **product\_feature.deleted**
  * Publishers: platform
  * Data: product\_feature
* **product\_feature.updated**
  * Publishers: platform
  * Data: product\_feature
* **scheduled\_update.canceled**
  * Publishers: platform
  * Data: scheduled\_update
* **scheduled\_update.created**
  * Publishers: platform
  * Data: scheduled\_update
* **scheduled\_update.processed**
  * Publishers: platform
  * Data: scheduled\_update
* **scheduled\_update.simulated**
  * Publishers: platform
  * Data: scheduled\_update
* **scheduled\_update.updated**
  * Publishers: platform
  * Data: scheduled\_update
* **scheduled\_update.will\_process\_1\_day**
  * Publishers: platform
  * Data: scheduled\_update, future\_scheduled\_update

## Event data

Data sent with each event if applicable.

* id (str) - uuid4 generated unique event id
* event (str) - event code
* user\_id (int) - id of the user who triggered the event
  * optional
  * legacy, initiator\_id and initiator\_type should be used instead
* initiator\_id (str) - id of action initiator
  * optional
* initiator\_type (str) - type of action initiator
  * optional
  * possible values: `management_api_key`, `platform_user`, `license_user`, `api_key`, `oauth_client_id`
* ts (int) - unix epoch timestamp of the event occurrence
* data (Object) - custom data depending on event

### Custom data

This section contains object data definitions for objects that are sent with each event. Which objects are sent with which event is defined in the Events section above.<br>

* **customer (Object)**
  * id (int)
  * email (str)
  * first\_name (str)
  * last\_name (str)
  * phone (str)
  * reference (str)
  * address (str)
  * postcode (str)
  * city (str)
  * country (str)
  * state (str)
* **device (Object)**
  * id (int)
  * hardware\_id (str)
* **device\_variable (Object)**
  * id (int)
  * device\_id (int)
  * variable (str)
  * value (str)
* **installation\_file (Object)**
  * id (int)
  * product\_id (int)
  * version (str)
  * full\_link (str)
  * filename (str)
  * release\_date (date)
  * enabled (boolean)
  * hash\_md5 (str)
  * environment (str)
  * release\_notes\_link (str)
  * eula\_link (str)
  * size (str)
  * requires\_version (str)
  * channel (str)
* **license (Object)**
  * id (int)
  * license\_key (str)
  * max\_license\_users (int)
  * is\_trial (boolean)
  * active (boolean)
  * validity\_period (date)
  * enable\_maintenance\_period (boolean)
  * maintenance\_period (date)
  * max\_activations (int)
  * times\_activated (int)
  * enabled (boolean)
  * total\_consumptions (int)
  * max\_consumptions (int)
  * allow\_overages (boolean)
  * max\_overages (int)
  * activation\_type (boolean) - optional
  * deactivation\_type (boolean) - optional
  * order (Object)
  * product (Object)
* **license\_custom\_field (Object)**
  * id (int)
  * value (str)
  * license\_id (int)
  * product\_custom\_field\_id (int)
* **license\_product\_feature (Object)**
  * id (int)
  * license\_id (int)
  * product\_feature\_id (int)
  * max\_consumption (int)
  * total\_consumptions (int)
  * expiry\_date (date)
  * allow\_overages (boolean)
  * consumption\_period (str)
  * max\_overages (int)
  * floating\_timeout (int)
  * floating\_users (int)
  * is\_floating (boolean)
  * is\_floating\_cloud (boolean)
  * allow\_negative\_consumptions (boolean)
* **license\_user (Object)**
  * id (int)
  * true\_email (str)
  * first\_name (str)
  * last\_name (str)
* **license\_user\_group (Object)**
  * id (int)
  * code (str)
  * name (str)
* **order (Object)**
  * id (int)
  * store\_id (str)
* **product (Object)**
  * id (int)
  * product\_name (str)
  * short\_code (str)
  * active (boolean)
  * authorization\_method (str)
  * is\_archived (boolean)
  * is\_bundle (boolean)
* **product\_custom\_field (Object)**
  * id (int)
  * name (str)
  * default\_value (str)
* **product\_feature (Object)**
  * id (int)
  * product\_id (int)
  * name (str)
  * code (str)
  * is\_deleted (boolean)
  * feature\_type (str)
  * max\_consumption (int)
  * allow\_unlimited\_consumptions (boolean)
  * allow\_negative\_consumptions (boolean)
  * allow\_overages (boolean)
  * max\_overages (int)
  * reset\_consumption (boolean)
  * consumption\_period (str)
  * floating\_timeout (int)
  * floating\_users (int)
  * is\_floating (boolean)
  * is\_floating\_cloud (boolean)
  * floating\_timeout (int)
  * floating\_users (int)
* **future\_scheduled\_update (Object)**
  * status (str)
  * errors (list\[str])
* **scheduled\_update (Object)**
  * id (int)
  * license (Object)
  * scheduled\_update\_data (list\[Object])
  * status (str)
  * scheduled\_at (datetime)
  * name (str)
  * note (str)
* **scheduled\_update\_data (Object)**
  * id (int)
  * action (str)
  * product\_feature (Object) - optional
  * product\_custom\_field (Object) - optional
  * update\_data (Object)
  * error\_message (str)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.licensespring.com/events-api/events-list.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
